package com.fs.store.mapper;

import java.util.List;
import com.fs.store.domain.FsAppVersion;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * 安卓版本Mapper接口
 * 
 * @author fs
 * @date 2023-02-03
 */
public interface FsAppVersionMapper 
{
    /**
     * 查询安卓版本
     * 
     * @param versionId 安卓版本ID
     * @return 安卓版本
     */
    public FsAppVersion selectFsAppVersionById(Long versionId);

    /**
     * 查询安卓版本列表
     * 
     * @param fsAppVersion 安卓版本
     * @return 安卓版本集合
     */
    public List<FsAppVersion> selectFsAppVersionList(FsAppVersion fsAppVersion);

    /**
     * 新增安卓版本
     * 
     * @param fsAppVersion 安卓版本
     * @return 结果
     */
    public int insertFsAppVersion(FsAppVersion fsAppVersion);

    /**
     * 修改安卓版本
     * 
     * @param fsAppVersion 安卓版本
     * @return 结果
     */
    public int updateFsAppVersion(FsAppVersion fsAppVersion);

    /**
     * 删除安卓版本
     * 
     * @param versionId 安卓版本ID
     * @return 结果
     */
    public int deleteFsAppVersionById(Long versionId);

    /**
     * 批量删除安卓版本
     * 
     * @param versionIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsAppVersionByIds(Long[] versionIds);


    @Select("select * from fs_app_version where type=#{type} order by version_code desc limit 1")
    FsAppVersion getAppVersion(@Param("type") String type);
}
